#!/bin/bash

#Путь к скрипту
pathToBash=$(dirname "${BASH_SOURCE[0]:-$0}")

#Берем путь к Scilab
pathToScilab=$(cat $pathToBash/PathToScilab)

#Берем путь к правилам Scilab
pathToRules=$(cat $pathToBash/PathToRules)

#Берем имя точки обмена сообщениями
messagePointName=$(cat $pathToBash/MessagePointName)

#Берем время приостановки
sleepTime=$(cat $pathToBash/SleepTime)

#Запускам Scilab и поддерживаем при необходимости его работу
while true
do
    #Берем необходимость запуска Scilab
    executeScilab=$(cat $pathToRules/ExecScilab)

    #Берем имя проекта
    projectName=$(cat $pathToRules/ProjectName)

    #Запускаем Scilab   
    if [ $executeScilab -eq 1 ]
    then
        $pathToScilab/scilab -e "ExecuteCurrentTasksCmdFile(\"$messagePointName\",\"$projectName\"); quit"
    else
        sleep $sleepTime
    fi
done

